<template>
  <v-dialog :value="value" @input="$emit('input')" width="500">
    <v-card>
      <v-card-title class="v-container-tittle">AGREGAR UN LINK</v-card-title>
      <v-card-text>
        <v-row class="v-container-buttons">
          <v-col class="font-weight-bold" md="4">Nombre del enlace:</v-col>
          <v-col>
            <v-text-field
              v-model="nameLink"
              counter="25"
              label="Nombre del link"
              ></v-text-field>
          </v-col>
        </v-row>
        <v-row class="v-container-buttons">
          <v-col class="font-weight-bold" md="4">Enlace:</v-col>
          <v-col>
            <v-text-field
              v-model="link"
              label="Enlace"
            ></v-text-field>
          </v-col>
        </v-row>
        <v-row class="v-container-buttons">
          <v-col md="2"></v-col>
          <v-col>
            <v-btn
              @click="$emit('input')"
              depressed
              color="primary"
              style="padding:15px"
              rounded
              outlined
            >
              Cancelar
            </v-btn>
          </v-col>
          <v-col>
            <v-btn
              style="padding:15px"
              depressed
              color="primary"
              rounded
              @click="$emit('accept', { nameLink, link })"
            >
              Agregar
            </v-btn>
          </v-col>
        </v-row>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: {
    value: Boolean,
  },
  name: 'AddLinkDialog',
  data: () => ({
    nameLink: null,
    link: null,
  }),
};
</script>

<style scoped>
.v-container-buttons {
  display: flex;
  align-items: center;
}
.v-container-tittle {
  text-align: center;
  display: flex;
}
</style>
